Thread
#prefect-community
    t

    Tim Pƶrtner

    1 year ago
    Hello everybody! My colleague (@Greg Roche) and i tried to update our self hosted prefect server (on EC2) today (from 0.14.15 to the latest version - 0.15.5). After updating prefect we tried running the server but we saw already some errors in the console. We were still able to connect to the UI and we saw that all the connections to
    :4200/graphql
    were refused. After some trying we gave up and downgraded back to 0.14.15 again (it worked again but we lost the data - flows, flow runs etc.) - no big deal. I was curious and thought if connections were just refused it shouldn't be too difficult to get it running - so i created my own
    docker-compose.yaml
    file from
    docker prefect config
    and changed some values. I ended up changing the interfaces that the services are listening on (graphql,apollo,ui) to 0.0.0.0 - after that it worked again. This makes it impossible for us to update our prefect server šŸ˜ž I couldn't find anything in the
    prefecthq/server
    repo that could cause those connection problems (at least from the most recent changes) - could someone please look into this? If you need any more information please let me know šŸ‘ Thanks in advance!
    Kevin Kho

    Kevin Kho

    1 year ago
    Hey @Tim Pƶrtner, I think this is related to some breaking changes with 0.15.5. Check here . You might need the
    --expose
    flag to enable remote connections. Server would also need to be upgraded to 2021.09.02
    t

    Tim Pƶrtner

    1 year ago
    thanks for replying and thanks for the info! reading the release notes could have saved us some time šŸ˜… thought it was a bug because the ui was accessable without any changes
    Kevin Kho

    Kevin Kho

    1 year ago
    No problem!